## ros-jazzy-control-msgs 5.2.0

=== debian/changelog ===
ros-jazzy-control-msgs (5.2.0-1bookworm) bookworm; urgency=high

  * Add message for publishing interface values with name and stamp (#98 <https://github.com/ros-controls/control_msgs/issues/98>)
  * Add custom rosdoc2 config (#132 <https://github.com/ros-controls/control_msgs/issues/132>)
  * Contributors: Christoph Fröhlich, Manuel Muth

 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Sun, 09 Jun 2024 16:00:00 -0000

ros-jazzy-control-msgs (5.1.0-1bookworm) bookworm; urgency=high

  * Add ParallelGripperCommand (#99 <https://github.com/ros-controls/control_msgs/issues/99>)
  * Specify BSD as BSD-3-Clause (#114 <https://github.com/ros-controls/control_msgs/issues/114>)
  * Contributors: Christoph Fröhlich, Paul Gesel

 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Mon, 08 Apr 2024 16:00:00 -0000

ros-jazzy-control-msgs (5.0.0-1bookworm) bookworm; urgency=high

  * Update JTC state message (#86 <https://github.com/ros-controls/control_msgs/issues/86>)
  * Contributors: Christoph Fröhlich

 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Thu, 27 Apr 2023 16:00:00 -0000

ros-jazzy-control-msgs (4.3.0-1bookworm) bookworm; urgency=high

  * Add generic messages for commanding and getting states from controllers. (#69 <https://github.com/ros-controls/control_msgs/issues/69>)
  * Contributors: Dr. Denis

 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Sat, 01 Apr 2023 16:00:00 -0000

ros-jazzy-control-msgs (4.2.0-1bookworm) bookworm; urgency=high

  * Add state message for mechanum controller #79
  * Status message for steering controllers
  * Contributors: Denis Štogl, GiridharBukka, petkovich

 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Tue, 21 Mar 2023 16:00:00 -0000

ros-jazzy-control-msgs (4.1.0-1bookworm) bookworm; urgency=high

  * Add status admittance controller message (#68 <https://github.com/ros-controls/control_msgs/issues/68>)
  * Contributors: Paul Gesel

 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Tue, 18 Oct 2022 16:00:00 -0000

ros-jazzy-control-msgs (4.0.0-1bookworm) bookworm; urgency=high

  * Added controller states for multi dof joints (#64 <https://github.com/ros-controls/control_msgs/issues/64>)
  * Add initial configurations for multiple distros. (#59 <https://github.com/ros-controls/control_msgs/issues/59>)
    * Add CI configuration with multiple ROS distributions and use pre-commit in the repository.
    * Add badges
  * Contributors: Denis Štogl, George Stavrinos

 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Sun, 31 Jul 2022 16:00:00 -0000

ros-jazzy-control-msgs (3.0.0-1bookworm) bookworm; urgency=high

  * Extend FollowJointTrajectoryAction with multi_dof_trajectory variable
    https://github.com/ros-controls/control_msgs/pull/55
  * Refractor dependency list for better overview.
  * Contributors: Bence Magyar, David V. Lu, Denis Štogl, JafarAbdi

 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Wed, 26 May 2021 16:00:00 -0000

ros-jazzy-control-msgs (2.5.0-1bookworm) bookworm; urgency=high

  * Extend QueryTrajectoryState to allow to report errors
  * Contributors: Victor Lopez

 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Thu, 21 Jan 2021 16:00:00 -0000

ros-jazzy-control-msgs (2.4.1-1bookworm) bookworm; urgency=high

  * Move author field lower in package.xml
  * Don't define C standard
  * Define package.xml schema for validator
  * depend -> build_depend, exec_depend
  * Contributors: Bence Magyar, ahcorde

 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Fri, 31 Jul 2020 16:00:00 -0000

ros-jazzy-control-msgs (2.4.0-1bookworm) bookworm; urgency=high

  * Add std_msgs prefix path to header
  * Add JointJog msg to ROS 2 - foxy
  * Contributors: AdamPettinger, AndyZe

 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Thu, 02 Jul 2020 16:00:00 -0000

ros-jazzy-control-msgs (2.3.0-1bookworm) bookworm; urgency=high

  * Implement "flexible joint states" message: add DynamicJointState message
  * add description of JointControllerState.msg (#30 <https://github.com/ros-controls/control_msgs/issues/30>) (#39 <https://github.com/ros-controls/control_msgs/issues/39>)
  * Contributors: Bence Magyar

 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Fri, 15 May 2020 16:00:00 -0000

ros-jazzy-control-msgs (2.2.0-1bookworm) bookworm; urgency=high

  * generate action interfaces
  * Contributors: Mathias Lüdtke

 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Sun, 08 Sep 2019 16:00:00 -0000

ros-jazzy-control-msgs (2.1.0-1bookworm) bookworm; urgency=high

  * Fix up dependencies for actionlib and Crystal
  * Contributors: Bence Magyar

 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Mon, 28 Jan 2019 16:00:00 -0000

ros-jazzy-control-msgs (2.0.0-1bookworm) bookworm; urgency=high

  * ROS2 Bouncy conversion
  * Replace Adolfo with Bence as maintainer
  * Contributors: Austin Deric, Bence Magyar, Nestor Gonzalez

 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Thu, 24 Jan 2019 16:00:00 -0000

ros-jazzy-control-msgs (1.4.0-1bookworm) bookworm; urgency=high

  * Add antiwindup to JointControllerState message definition
  * Add PidState message
  * Contributors: Paul Bovbel

 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Thu, 14 Apr 2016 16:00:00 -0000

ros-jazzy-control-msgs (1.3.1-1bookworm) bookworm; urgency=high

  * Export architecture_independent flag in package.xml
  * Change package maintainer.
  * Contributors: Adolfo Rodriguez Tsouroukdissian, Scott K Logan

 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Wed, 04 Mar 2015 16:00:00 -0000

ros-jazzy-control-msgs (1.3.0-1bookworm) bookworm; urgency=high

  * Add error_string to action result.
  * Contributors: Adolfo Rodriguez Tsouroukdissian

 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Wed, 26 Feb 2014 16:00:00 -0000

ros-jazzy-control-msgs (1.2.0-1bookworm) bookworm; urgency=high



 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Wed, 24 Apr 2013 16:00:00 -0000

ros-jazzy-control-msgs (1.1.6-1bookworm) bookworm; urgency=high


